org.ajax4jsf.util.base64

## Class Codec

- java.lang.Object
- - org.ajax4jsf.util.base64.Codec

-     public class Codec
      extends Object

  Version:
    $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:59:10 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Codec()`
    `Codec(String p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `decode(byte[] src)`
    `String` | `decode(String str)`
    `byte[]` | `encode(byte[] src)`
    `String` | `encode(String str)`
    `void` | `setPassword(String p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Codec

          public Codec()

    - #### Codec

          public Codec(String p)
                throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### setPassword

          public void setPassword(String p)
                           throws javax.faces.FacesException

      Parameters:
        `p` -
      Throws:
        `InvalidKeyException`
        `UnsupportedEncodingException`
        `InvalidKeySpecException`
        `NoSuchAlgorithmException`
        `NoSuchPaddingException`
        `javax.faces.FacesException`

    - #### decode

          public String decode(String str)
                        throws Exception

      Throws:
        `Exception`

    - #### encode

          public String encode(String str)
                        throws Exception

      Throws:
        `Exception`

    - #### decode

          public byte[] decode(byte[] src)
                        throws Exception

      Throws:
        `Exception`

    - #### encode

          public byte[] encode(byte[] src)
                        throws Exception

      Throws:
        `Exception`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.